Bug 1397686 - [RFE] Vmware Provisioning Dialog should clearly represent Vlans & DVS in Networking Dialog
Summary: [RFE] Vmware Provisioning Dialog should clearly represent Vlans & DVS in Netw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: drew uhlmann
QA Contact: Leo Khomenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 07:52 UTC by Loic Avenel
Modified: 2017-05-31 14:24 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Loic Avenel 2016-11-23 07:52:23 UTC
Description of problem: Vmware Provisioning Dialog should clearly represent Vlans & DVS in Networking Dialog. Today, the drop list is call vLans and all is listed.

Comment 2 Greg McCullough 2016-11-29 20:43:42 UTC
Loic, Are you asking for a simple text change to the description of the drop-down?  (https://github.com/ManageIQ/manageiq/blob/076385ccea94424d153bebcdaddaf9ddcf96a49d/product/dialogs/miq_dialogs/miq_provision_vmware_dialogs_template.yaml#L670)

Or is there more to this request than that?

Comment 3 Loic Avenel 2016-11-29 21:12:19 UTC
(In reply to Greg McCullough from comment #2)
> Loic, Are you asking for a simple text change to the description of the
> drop-down? 
> (https://github.com/ManageIQ/manageiq/blob/
> 076385ccea94424d153bebcdaddaf9ddcf96a49d/product/dialogs/miq_dialogs/
> miq_provision_vmware_dialogs_template.yaml#L670)
> 
> Or is there more to this request than that?

There are 2 things:

- the name of the DropDown is called "Vlan" which is misleading on Vmware, it should be called "Virtual Network"
- In the drop list it will be nice to differentiate DVS from vLans.... OR there is a first filter DVS/Vlan..

Comment 4 Greg McCullough 2017-01-27 19:04:18 UTC
After discussing with Adam I think the first thing we should address is renaming the field in the provision dialog from "Vlan" to "Virtual Network".  We can use that simple change to address this ticket.

Loic - If you think we should create a separate drop-down to allow UI filtering of the networks please open a separate RFE and we can look into addressing it.  At the moment, unless there is real user need, I would like to delay this until we move the provisioning dialogs to use the same dialog system as services.

Comment 5 Loic Avenel 2017-01-30 15:57:07 UTC
(In reply to Greg McCullough from comment #4)
> After discussing with Adam I think the first thing we should address is
> renaming the field in the provision dialog from "Vlan" to "Virtual Network".
> We can use that simple change to address this ticket.
> 
> Loic - If you think we should create a separate drop-down to allow UI
> filtering of the networks please open a separate RFE and we can look into
> addressing it.  At the moment, unless there is real user need, I would like
> to delay this until we move the provisioning dialogs to use the same dialog
> system as services.

Hi Greg,

   I think Renaming to "Virtual Network" is the first part, I think the UI filtering will be great, at minima if we have only one drop down, we should clearly distinguish both type.

Comment 6 drew uhlmann 2017-02-02 17:44:03 UTC
https://github.com/ManageIQ/manageiq/pull/13747

Comment 7 Leo Khomenko 2017-03-21 10:07:42 UTC
verified on 5.8.0.6

Comment 9 errata-xmlrpc 2017-05-31 14:24:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.